Debian Bug report logs - #494956
manpages-dev: Inaccurate callback name in mq_notify manpage

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Venkatesh Srinivas <me@acm.jhu.edu>

Date: Wed, 13 Aug 2008 12:39:04 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages/2.79-4

Fixed in version manpages/3.08-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#494956; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Venkatesh Srinivas <me@acm.jhu.edu>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Venkatesh Srinivas <me@acm.jhu.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: Inaccurate callback name in mq_notify manpage
Date: Wed, 13 Aug 2008 08:33:53 -0400
Package: manpages-dev
Version: 2.79-4
Severity: minor

In the manpage for mq_notify, the SIGEV_THREAD section describes
notification->sigev_thread_function, where notification is a struct
sigevent *. struct sigevent doesn't have a sigev_thread_function member;
to access the correct member, you have to use ->sigev_notify_function.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages manpages-dev depends on:
ii  manpages                      2.79-4     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#494956; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk.manpages@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 494956@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk.manpages@googlemail.com>
To: "Venkatesh Srinivas" <me@acm.jhu.edu>, 494956@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#494956: manpages-dev: Inaccurate callback name in mq_notify manpage
Date: Wed, 13 Aug 2008 15:10:50 +0200
tags 494956 fixed-upstream
thanks

On Wed, Aug 13, 2008 at 2:33 PM, Venkatesh Srinivas <me@acm.jhu.edu> wrote:
> Package: manpages-dev
> Version: 2.79-4
> Severity: minor
>
> In the manpage for mq_notify, the SIGEV_THREAD section describes
> notification->sigev_thread_function, where notification is a struct
> sigevent *. struct sigevent doesn't have a sigev_thread_function member;
> to access the correct member, you have to use ->sigev_notify_function.

Venkatesh,

Thank you for your report, which is of course right.  I've fixed
things as you suggest, for upstream man-pages-3.08.

Cheers,

Michael




Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Wed, 13 Aug 2008 13:12:08 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Thu, 13 Nov 2008 22:38:45 GMT) Full text and rfc822 format available.

Notification sent to Venkatesh Srinivas <me@acm.jhu.edu>:
Bug acknowledged by developer. (Thu, 13 Nov 2008 22:38:51 GMT) Full text and rfc822 format available.

Message #17 received at 494956-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 494956-close@bugs.debian.org
Subject: Bug#494956: fixed in manpages 3.08-1
Date: Thu, 13 Nov 2008 21:32:15 +0000
Source: manpages
Source-Version: 3.08-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.08-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.08-1_all.deb
manpages_3.08-1.dsc
  to pool/main/m/manpages/manpages_3.08-1.dsc
manpages_3.08-1.tar.gz
  to pool/main/m/manpages/manpages_3.08-1.tar.gz
manpages_3.08-1_all.deb
  to pool/main/m/manpages/manpages_3.08-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 494956@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 13 Nov 2008 20:44:56 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.08-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 494956
Changes: 
 manpages (3.08-1) unstable; urgency=low
 .
   * New upstream version
     . Correct function name in mq_notify(3) (closes: Bug#494956)
Checksums-Sha1: 
 edb66f2221de4eb1c1f8dfa938c806d5acfb8706 723 manpages_3.08-1.dsc
 fa17ed8a0e61a5f44bd61128c4ee0c49395cc854 1478660 manpages_3.08-1.tar.gz
 f99b400bea63939871c23c90629a153af118f374 628218 manpages_3.08-1_all.deb
 3b1796aa049cf206687162f448d6ceb4d21c974c 1479846 manpages-dev_3.08-1_all.deb
Checksums-Sha256: 
 b41aa59ae5e17468c18ca60b17395ab0839f41f4123688bd29d29c038562a7b4 723 manpages_3.08-1.dsc
 fc71503a956cd3460fc53aebd2dee4ca0a3307ee465e52572734b1e254dd190e 1478660 manpages_3.08-1.tar.gz
 59e92b0323f1a811a142174c79689f1fd4ab6f32c8403d978d4890063a50d35c 628218 manpages_3.08-1_all.deb
 a8882c5195ad2462d042d93e0dcd4d1c8d218306abc025bbb32862263ba0dc6b 1479846 manpages-dev_3.08-1_all.deb
Files: 
 0a6107efd99d75c356670099bc5658f6 723 doc important manpages_3.08-1.dsc
 e6cbbf65c3740cfa721f61c3919d1b20 1478660 doc important manpages_3.08-1.tar.gz
 ac3796eca0c094551919c7097ed40f96 628218 doc important manpages_3.08-1_all.deb
 e1858530cb5376d83f6d6a7dcd224bac 1479846 doc optional manpages-dev_3.08-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJHIP3W5ql+IAeqTIRAtYCAJ48PBshTjKnBql0wNOzyO3C2vLqjwCfdI3Y
Qydld5dvFfpLGdwadnIf19U=
=5DFU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:19:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:18:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.